use crate::{Instructions};

#[derive(Debug)]
pub struct Frame {
    pub instructions: Instructions,
    pub ip: usize,
    pub base: usize,
}

impl Frame {
    pub fn new(instructions: Instructions, base: usize) -> Self {
        Self {
            instructions,
            ip: 0,
            base: base,
        }
    }
}