use tonic_vm::{Compiler, VM, Bytecode, compile};

fn main() {
    let source = std::fs::read_to_string(
        std::env::args().nth(1).unwrap()
    ).unwrap();

    let compiler = compile(&source);
    let bytecode: Bytecode = compiler.into();

    let mut vm = VM::from(bytecode);

    vm.run();

    dbg!(vm.last_popped());
}